<!--
 * @Author: zwq
 * @Date: 2023-01-04 10:29:40
 * @LastEditors: zwq
 * @LastEditTime: 2023-03-09 14:26:09
 * @Description: 
-->
<template>
  <el-card shadow="never" class="aui-card--fill">
    <div class="mod-sys__user">
      <search-bar :formConfigs="formConfig" ref="searchBarForm" @headBtnClick="buttonClick" />
      <base-table
        :table-props="tableProps"
        :page="listQuery.page"
        :limit="listQuery.limit"
        :table-data="tableData"
      />
      <pagination
        :limit.sync="listQuery.limit"
        :page.sync="listQuery.page"
        :total="listQuery.total"
        @pagination="getDataList"
      />
    </div>
  </el-card>
</template>

<script>
import basicPage from "@/mixins/basic-page";
import i18n from "@/i18n";
import codeFilter from '@/filters/code-filter'
const tableProps = [
  {
    prop: "createTime",
    label: "添加时间",
  },
  {
    prop: "content",
    label: "内容集",
  },
  {
    prop: "status",
    label: "状态",
    filter: codeFilter('logStatus'),
  },
  {
    prop: "type",
    label: "通讯类型",
    filter: codeFilter('logType'),
  },
];
export default {
  mixins: [basicPage],
  data() {
    return {
      urlOptions: {
        getDataListURL: "/code/mtCommunLog/page",
        exportUrl: "/code/mtCommunLog/export",
      },
      tableProps,
      formConfig: [
        {
          type: "input",
          label: "通讯类型",
          placeholder: "通讯类型",
          param: "alarmContent",
        },
        // {
        //   type: "select",
        //   label: "报警类型",
        //   selectOptions: [
        //     { id: "0", name: i18n.t("logLogin.status0") },
        //     { id: "1", name: i18n.t("logLogin.status1") },
        //     { id: "2", name: i18n.t("logLogin.status2") },
        //   ],
        //   param: "alarmType",
        //   defaultSelect: "",
        //   onchange: true,
        //   width: 200,
        // },
        {
          type: "button",
          btnName: "查询",
          name: "search",
          color: "primary",
        },
      ],
    };
  },
  components: {},
  methods:{
    //search-bar点击
    buttonClick(val) {
      switch (val.btnName) {
        case "search":
          this.listQuery.alarmContent = val.alarmContent;
          this.listQuery.page = 1;
          this.getDataList();
          break;
        case "add":
          this.addOrEditTitle = '新增'
          this.addOrUpdateVisible = true;
          this.addOrUpdateHandle()
          break;
        default:
          console.log(val)
       }
    },
  }
};
</script>
